<?xml version="1.0" encoding="UTF-8"?>
<!--
 *
 * aggregate-resources
 *
 *      author Takito, Masaaki
 *
-->
<xsd:schema
	elementFormDefault="qualified"
	targetNamespace="https://gcm.ntt.com/api/xml-schema/v2/aggregate-resources"
	xmlns:aggr-rsrs="https://gcm.ntt.com/api/xml-schema/v2/aggregate-resources"

	xmlns:datatypes="https://gcm.ntt.com/api/xml-schema/v2/cbe-datatypes"
	xmlns:cbe="https://gcm.ntt.com/api/xml-schema/v2/common-business-entity"
	xmlns:party="https://gcm.ntt.com/api/xml-schema/v2/party"
	xmlns:location="https://gcm.ntt.com/api/xml-schema/v2/location"
	xmlns:product="https://gcm.ntt.com/api/xml-schema/v2/product"
	xmlns:service="https://gcm.ntt.com/api/xml-schema/v2/service"
	xmlns:resource="https://gcm.ntt.com/api/xml-schema/v2/resource"
	xmlns:bi="https://gcm.ntt.com/api/xml-schema/v2/business-interaction"
	xmlns:customer="https://gcm.ntt.com/api/xml-schema/v2/customer"
	xmlns:doc="https://gcm.ntt.com/api/xml-schema/v2/document"

	xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!-- Imports -->
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/cbe-datatypes"
			schemaLocation="http://localhost/api/xml-schema/v2/cbe-datatypes/cbe-datatypes.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/common-business-entity"
			schemaLocation="http://localhost/api/xml-schema/v2/cbe-domain/cbe.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/party"
			schemaLocation="http://localhost/api/xml-schema/v2/party-domain/party.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/location"
			schemaLocation="http://localhost/api/xml-schema/v2/location-domain/location.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/product"
			schemaLocation="http://localhost/api/xml-schema/v2/product-domain/product.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/service"
			schemaLocation="http://localhost/api/xml-schema/v2/service-domain/service.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/resource"
			schemaLocation="http://localhost/api/xml-schema/v2/resource-domain/resource.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/business-interaction"
			schemaLocation="http://localhost/api/xml-schema/v2/bi-domain/bi.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/customer"
			schemaLocation="http://localhost/api/xml-schema/v2/customer-domain/customer.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/document"
			schemaLocation="http://localhost/api/xml-schema/v2/document-domain/document.xsd"/>

	<!--
	 *
	 *==========================================================================
	 * ■aggregate-resources
	 *==========================================================================
	 *
	-->

	<!-- ■aggregate-resources (Element) -->
	<xsd:element name="aggregate-resources" type="aggr-rsrs:AggregateResources">
		<xsd:key name="registration-key">
			<xsd:selector xpath="*/*/cbe:identified-by/*/cbe:key-type-for-registration" />
			<xsd:field xpath="./cbe:valid-id-only-in-message" />
		</xsd:key>

		<xsd:keyref name="ref-registration-key" refer="aggr-rsrs:registration-key">
			<xsd:selector xpath="*/*/*/*/*/cbe:key-type-for-registration" />
			<xsd:field xpath="./cbe:valid-id-only-in-message" />
		</xsd:keyref>

		<xsd:keyref name="assoc-registration-key" refer="aggr-rsrs:registration-key">
			<xsd:selector xpath="*/*/cbe:association-ends/cbe:association-end/cbe:target/*/*/cbe:key-type-for-registration" />
			<xsd:field xpath="./cbe:valid-id-only-in-message" />
		</xsd:keyref>

		<xsd:unique name="cbe-key">
			<xsd:selector xpath="*/*/cbe:identified-by/*/cbe:key-type-for-cbe-standard" />
			<xsd:field xpath="./cbe:object-id" />
			<xsd:field xpath="./cbe:object-version" />
		</xsd:unique>

		<xsd:unique name="element-id">
			<xsd:selector xpath="*/*" />
			<xsd:field xpath="@id" />
		</xsd:unique>
	</xsd:element>

	<xsd:complexType name="AggregateResources">
		<xsd:all>
			<!-- ■CBE (Common Business Entity) Domain -->
			<xsd:element ref="cbe:association-rules" minOccurs="0"/>
			<xsd:element ref="cbe:atomic-characteristic-specifications" minOccurs="0"/>
			<xsd:element ref="cbe:composite-characteristic-specifications" minOccurs="0"/>
			<xsd:element ref="cbe:composite-charc-spec-configurations" minOccurs="0"/>
			<xsd:element ref="cbe:constraining-facets" minOccurs="0"/>
			<xsd:element ref="cbe:discrete-characteristic-spec-values" minOccurs="0"/>
			<xsd:element ref="cbe:range-characteristic-spec-values" minOccurs="0"/>
			<xsd:element ref="cbe:characteristic-values" minOccurs="0"/>
			<xsd:element ref="cbe:entity-specification-types" minOccurs="0"/>
			<xsd:element ref="cbe:entity-spec-type-groups" minOccurs="0"/>
			<xsd:element ref="cbe:entity-spec-use-charc-specs" minOccurs="0"/>
			<xsd:element ref="cbe:atomic-entity-spec-characteristics" minOccurs="0"/>
			<xsd:element ref="cbe:composite-entity-spec-characteristics" minOccurs="0"/>
			<xsd:element ref="cbe:composite-entity-spec-charc-configurations" minOccurs="0"/>
			<xsd:element ref="cbe:entity-spec-use-charc-spec-values" minOccurs="0"/>
			<xsd:element ref="cbe:entity-offering-use-charc-specs" minOccurs="0"/>
			<xsd:element ref="cbe:atomic-entity-offering-characteristics" minOccurs="0"/>
			<xsd:element ref="cbe:composite-entity-offering-characteristics" minOccurs="0"/>
			<xsd:element ref="cbe:composite-entity-offering-charc-configurations" minOccurs="0"/>
			<xsd:element ref="cbe:atomic-valid-combinations" minOccurs="0"/>
			<xsd:element ref="cbe:composite-valid-combinations" minOccurs="0"/>
			<xsd:element ref="cbe:composite-valid-combination-configurations" minOccurs="0"/>
			<xsd:element ref="cbe:valid-combination-involved-charc-spec-values" minOccurs="0"/>
			<xsd:element ref="cbe:valid-combination-involved-entity-spec-charcs" minOccurs="0"/>

			<!-- ■Party Domain -->
			<xsd:element ref="party:party-specifications" minOccurs="0"/>
			<xsd:element ref="party:parties" minOccurs="0"/>
			<xsd:element ref="party:party-identification-specifications" minOccurs="0"/>
			<xsd:element ref="party:party-identifications" minOccurs="0"/>
			<xsd:element ref="party:party-name-specifications" minOccurs="0"/>
			<xsd:element ref="party:party-names" minOccurs="0"/>
			<xsd:element ref="party:party-role-specifications" minOccurs="0"/>
			<xsd:element ref="party:party-roles" minOccurs="0"/>
			<xsd:element ref="party:party-role-assoc-specifications" minOccurs="0"/>
			<xsd:element ref="party:party-role-associations" minOccurs="0"/>
			<xsd:element ref="party:contact-medium-specifications" minOccurs="0"/>
			<xsd:element ref="party:contact-mediums" minOccurs="0"/>
			<xsd:element ref="party:party-role-contact-mediums" minOccurs="0"/>
			<xsd:element ref="party:party-demographic-specifications" minOccurs="0"/>
			<xsd:element ref="party:party-demographics" minOccurs="0"/>
			<xsd:element ref="party:party-profile-type-specifications" minOccurs="0"/>
			<xsd:element ref="party:party-profile-types" minOccurs="0"/>
			<xsd:element ref="party:party-profile-specifications" minOccurs="0"/>
			<xsd:element ref="party:party-profiles" minOccurs="0"/>
			<xsd:element ref="party:party-ident-country-assocs" minOccurs="0"/>

			<!-- ■Location Domain -->
			<xsd:element ref="location:languages" minOccurs="0"/>
			<xsd:element ref="location:dialects" minOccurs="0"/>
			<xsd:element ref="location:language-notations" minOccurs="0"/>
			<xsd:element ref="location:geo-address-specifications" minOccurs="0"/>
			<xsd:element ref="location:geographic-addresses" minOccurs="0"/>
			<xsd:element ref="location:country-specific-address-specifications" minOccurs="0"/>
			<xsd:element ref="location:country-specific-addresses" minOccurs="0"/>
			<xsd:element ref="location:country-specifications" minOccurs="0"/>
			<xsd:element ref="location:countries" minOccurs="0"/>
			<xsd:element ref="location:geo-area-specifications" minOccurs="0"/>
			<xsd:element ref="location:geographic-areas" minOccurs="0"/>
			<xsd:element ref="location:geo-site-specifications" minOccurs="0"/>
			<xsd:element ref="location:geographic-sites" minOccurs="0"/>
			<xsd:element ref="location:local-address-specifications" minOccurs="0"/>
			<xsd:element ref="location:local-addresses" minOccurs="0"/>
			<xsd:element ref="location:local-location-specifications" minOccurs="0"/>
			<xsd:element ref="location:local-locations" minOccurs="0"/>
			<xsd:element ref="location:place-rel-specifications" minOccurs="0"/>
			<xsd:element ref="location:place-relationships" minOccurs="0"/>
			<xsd:element ref="location:place-party-role-assoc-specifications" minOccurs="0"/>
			<xsd:element ref="location:place-party-role-associations" minOccurs="0"/>
			<xsd:element ref="location:address-contact-medium-assocs" minOccurs="0"/>
			<xsd:element ref="location:country-language-associations" minOccurs="0"/>

			<!-- ■Customer Domain -->
			<xsd:element ref="customer:payment-method-specifications" minOccurs="0"/>
			<xsd:element ref="customer:payment-methods" minOccurs="0"/>
			<xsd:element ref="customer:pm-party-role-assoc-specifications" minOccurs="0"/>
			<xsd:element ref="customer:pm-party-role-associations" minOccurs="0"/>
			<xsd:element ref="customer:pm-product-assoc-specifications" minOccurs="0"/>
			<xsd:element ref="customer:pm-product-associations" minOccurs="0"/>

			<!-- ■Product Domain -->
			<xsd:element ref="product:atomic-product-specifications" minOccurs="0"/>
			<xsd:element ref="product:composite-product-specifications" minOccurs="0"/>
			<xsd:element ref="product:composite-product-spec-configurations" minOccurs="0"/>
			<xsd:element ref="product:atomic-product-offerings" minOccurs="0"/>
			<xsd:element ref="product:bundled-product-offerings" minOccurs="0"/>
			<xsd:element ref="product:bundled-product-offering-configurations" minOccurs="0"/>
			<xsd:element ref="product:atomic-products" minOccurs="0"/>
			<xsd:element ref="product:bundled-products" minOccurs="0"/>
			<xsd:element ref="product:bundled-product-configurations" minOccurs="0"/>
			<xsd:element ref="product:atomic-product-expected-cost-specifications" minOccurs="0"/>
			<xsd:element ref="product:composite-product-expected-cost-specifications" minOccurs="0"/>
			<xsd:element ref="product:composite-product-expected-cost-spec-configurations" minOccurs="0"/>
			<xsd:element ref="product:atomic-product-expected-costs" minOccurs="0"/>
			<xsd:element ref="product:composite-product-expected-costs" minOccurs="0"/>
			<xsd:element ref="product:composite-product-expected-cost-configurations" minOccurs="0"/>
			<xsd:element ref="product:atomic-product-actual-cost-specifications" minOccurs="0"/>
			<xsd:element ref="product:composite-product-actual-cost-specifications" minOccurs="0"/>
			<xsd:element ref="product:composite-product-actual-cost-spec-configurations" minOccurs="0"/>
			<xsd:element ref="product:atomic-product-actual-costs" minOccurs="0"/>
			<xsd:element ref="product:composite-product-actual-costs" minOccurs="0"/>
			<xsd:element ref="product:composite-product-actual-cost-configurations" minOccurs="0"/>
			<xsd:element ref="product:atomic-product-offering-price-specifications" minOccurs="0"/>
			<xsd:element ref="product:composite-product-offering-price-specifications" minOccurs="0"/>
			<xsd:element ref="product:composite-product-offering-price-spec-configurations" minOccurs="0"/>
			<xsd:element ref="product:atomic-product-offering-prices" minOccurs="0"/>
			<xsd:element ref="product:composite-product-offering-prices" minOccurs="0"/>
			<xsd:element ref="product:composite-product-offering-price-configurations" minOccurs="0"/>
			<xsd:element ref="product:atomic-product-price-specifications" minOccurs="0"/>
			<xsd:element ref="product:composite-product-price-specifications" minOccurs="0"/>
			<xsd:element ref="product:composite-product-price-spec-configurations" minOccurs="0"/>
			<xsd:element ref="product:atomic-product-prices" minOccurs="0"/>
			<xsd:element ref="product:composite-product-prices" minOccurs="0"/>
			<xsd:element ref="product:composite-product-price-configurations" minOccurs="0"/>
			<xsd:element ref="product:product-spec-rel-specifications" minOccurs="0"/>
			<xsd:element ref="product:product-spec-relationships" minOccurs="0"/>
			<xsd:element ref="product:product-offering-rel-specifications" minOccurs="0"/>
			<xsd:element ref="product:product-offering-relationships" minOccurs="0"/>
			<xsd:element ref="product:product-rel-specifications" minOccurs="0"/>
			<xsd:element ref="product:product-relationships" minOccurs="0"/>
			<xsd:element ref="product:prod-offer-place-assocs" minOccurs="0"/>
			<xsd:element ref="product:product-place-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-exp-cost-place-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-offer-price-place-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-offer-party-prof-type-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-exp-cost-party-prof-type-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-offer-price-party-prof-type-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-spec-prod-exp-cost-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-offering-prod-exp-cost-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-exp-cost-charc-spec-value-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-spec-prod-offer-price-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-offering-prod-offer-price-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-offer-price-charc-spec-value-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-offer-price-prod-exp-cost-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-price-prod-act-cost-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-price-party-roles" minOccurs="0"/>
			<xsd:element ref="product:prod-spec-party-role-assoc-specs" minOccurs="0"/>
			<xsd:element ref="product:prod-spec-party-role-assocs" minOccurs="0"/>
			<xsd:element ref="product:prod-offer-party-role-assoc-specs" minOccurs="0"/>
			<xsd:element ref="product:prod-offer-party-role-assocs" minOccurs="0"/>
			<xsd:element ref="product:valid-combination-involved-product-specs" minOccurs="0"/>
			<xsd:element ref="product:valid-combination-involved-product-offerings" minOccurs="0"/>

			<!-- ■Service Domain -->
			<xsd:element ref="service:service-spec-ref-specifications" minOccurs="0"/>
			<xsd:element ref="service:service-spec-references" minOccurs="0"/>
			<xsd:element ref="service:service-place-detail-specifications" minOccurs="0"/>
			<xsd:element ref="service:service-place-details" minOccurs="0"/>

			<!-- ■Resource Domain -->
			<xsd:element ref="resource:resource-spec-ref-specifications" minOccurs="0"/>
			<xsd:element ref="resource:resource-spec-references" minOccurs="0"/>
			<xsd:element ref="resource:resource-ref-specifications" minOccurs="0"/>
			<xsd:element ref="resource:resource-references" minOccurs="0"/>
			<xsd:element ref="resource:resource-place-assoc-specifications" minOccurs="0"/>
			<xsd:element ref="resource:resource-place-assocs" minOccurs="0"/>

			<!-- ■Business Interaction Domain -->
			<xsd:element ref="bi:composite-bi-specifications" minOccurs="0"/>
			<xsd:element ref="bi:composite-bi-spec-configurations" minOccurs="0"/>
			<xsd:element ref="bi:composite-business-interactions" minOccurs="0"/>
			<xsd:element ref="bi:composite-bi-configurations" minOccurs="0"/>
			<xsd:element ref="bi:inquiry-request-specifications" minOccurs="0"/>
			<xsd:element ref="bi:inquiry-requests" minOccurs="0"/>
			<xsd:element ref="bi:customer-order-specifications" minOccurs="0"/>
			<xsd:element ref="bi:customer-orders" minOccurs="0"/>
			<xsd:element ref="bi:service-order-specifications" minOccurs="0"/>
			<xsd:element ref="bi:service-orders" minOccurs="0"/>
			<xsd:element ref="bi:resource-order-specifications" minOccurs="0"/>
			<xsd:element ref="bi:resource-orders" minOccurs="0"/>
			<xsd:element ref="bi:notification-specifications" minOccurs="0"/>
			<xsd:element ref="bi:notifications" minOccurs="0"/>
			<xsd:element ref="bi:approval-request-specifications" minOccurs="0"/>
			<xsd:element ref="bi:approval-requests" minOccurs="0"/>
			<xsd:element ref="bi:product-contract-specifications" minOccurs="0"/>
			<xsd:element ref="bi:product-contracts" minOccurs="0"/>
			<xsd:element ref="bi:product-spec-biitem-specifications" minOccurs="0"/>
			<xsd:element ref="bi:product-spec-biitems" minOccurs="0"/>
			<xsd:element ref="bi:product-offering-biitem-specifications" minOccurs="0"/>
			<xsd:element ref="bi:product-offering-biitems" minOccurs="0"/>
			<xsd:element ref="bi:product-biitem-specifications" minOccurs="0"/>
			<xsd:element ref="bi:product-biitems" minOccurs="0"/>
			<xsd:element ref="bi:service-spec-biitem-specifications" minOccurs="0"/>
			<xsd:element ref="bi:service-spec-biitems" minOccurs="0"/>
			<xsd:element ref="bi:service-biitem-specifications" minOccurs="0"/>
			<xsd:element ref="bi:service-biitems" minOccurs="0"/>
			<xsd:element ref="bi:resource-spec-biitem-specifications" minOccurs="0"/>
			<xsd:element ref="bi:resource-spec-biitems" minOccurs="0"/>
			<xsd:element ref="bi:resource-biitem-specifications" minOccurs="0"/>
			<xsd:element ref="bi:resource-biitems" minOccurs="0"/>
			<xsd:element ref="bi:bi-biitem-specifications" minOccurs="0"/>
			<xsd:element ref="bi:bi-biitems" minOccurs="0"/>
			<xsd:element ref="bi:bi-item-biitem-specifications" minOccurs="0"/>
			<xsd:element ref="bi:bi-item-biitems" minOccurs="0"/>
			<xsd:element ref="bi:bi-rel-specifications" minOccurs="0"/>
			<xsd:element ref="bi:bi-relationships" minOccurs="0"/>
			<xsd:element ref="bi:bi-item-rel-specifications" minOccurs="0"/>
			<xsd:element ref="bi:bi-item-relationships" minOccurs="0"/>
			<xsd:element ref="bi:bi-location-specifications" minOccurs="0"/>
			<xsd:element ref="bi:bi-locations" minOccurs="0"/>
			<xsd:element ref="bi:bi-item-location-specifications" minOccurs="0"/>
			<xsd:element ref="bi:bi-item-locations" minOccurs="0"/>
			<xsd:element ref="bi:bi-item-role-specifications" minOccurs="0"/>
			<xsd:element ref="bi:bi-item-roles" minOccurs="0"/>
			<xsd:element ref="bi:party-interaction-role-specifications" minOccurs="0"/>
			<xsd:element ref="bi:party-interaction-roles" minOccurs="0"/>
			<xsd:element ref="bi:party-role-interaction-role-specifications" minOccurs="0"/>
			<xsd:element ref="bi:party-role-interaction-roles" minOccurs="0"/>
			<xsd:element ref="bi:prty-rl-intrct-rl-cntct-mdm-assocs" minOccurs="0"/>
			<xsd:element ref="bi:prty-rl-intrct-rl-geo-addr-assocs" minOccurs="0"/>
			<xsd:element ref="bi:bi-attachments" minOccurs="0"/>
			<xsd:element ref="bi:bi-item-attachments" minOccurs="0"/>
			<xsd:element ref="bi:bi-message-attachments" minOccurs="0"/>
			<xsd:element ref="bi:bi-message-specifications" minOccurs="0"/>
			<xsd:element ref="bi:bi-messages" minOccurs="0"/>
			<xsd:element ref="bi:approval-decisions" minOccurs="0"/>
			<xsd:element ref="bi:agreement-term-or-condition-specifications" minOccurs="0"/>
			<xsd:element ref="bi:agreement-term-or-conditions" minOccurs="0"/>
			<xsd:element ref="bi:bi-item-agreement-term-or-conditions" minOccurs="0"/>

			<!-- ■Document Domain -->
			<xsd:element ref="doc:document-specifications" minOccurs="0"/>
			<xsd:element ref="doc:documents" minOccurs="0"/>
			<xsd:element ref="doc:file-specifications" minOccurs="0"/>
			<xsd:element ref="doc:files" minOccurs="0"/>
			<xsd:element ref="doc:document-file-assocs" minOccurs="0"/>
		</xsd:all>
	</xsd:complexType>

</xsd:schema>
